import Popup from "@/components/popup"
import { Text, Textarea, View } from "@tarojs/components"
import { memo, useCallback, useState } from "react"
import styles  from './index.module.scss'
import classnames from "classnames";

type Param = {
    onCheck?: () => void
    onCustom?: () => void
}
export default memo(({onCheck, onCustom}:Param) => {
    return (
        <View className={styles.weight_memo}>
            <View className={styles.weight_memo_item} onClick={() => onCheck?.()}>
                <View className={styles.title}>
                    <Text className={classnames("iconfont icon-a-yuanmadanmadanguanli", styles.miconfont_check)}></Text>
                    <Text>陆盈纺织</Text>
                </View>
                <View className={styles.desc}>
                    <Text>查看原码单</Text>
                    <Text className={classnames("iconfont icon-a-moreback", styles.miconfont_more)}></Text>
                </View>
            </View>
            <View className={styles.weight_memo_item} onClick={() => onCustom?.()}>
                <View className={styles.title}>
                    <Text className={classnames("iconfont icon-a-yuanmadanmadanguanli", styles.miconfont_custom)}></Text>
                    <Text>我的码单</Text>
                </View>
                <View className={styles.desc}>
                    <Text>自定义</Text>
                    <Text className={classnames("iconfont icon-a-moreback", styles.miconfont_more)}></Text>
                </View>
            </View>
        </View>
    )
})